Wiki Lifecycle Sync
Lint + 矛盾検出を実行し、結果に基づきページ lifecycle を自動遷移させる (KNOWLEDGE Sec17.1)。clean パス→active 昇格、矛盾→contradicted。admin 以上。 GET 系の読取エンドポイントは副作用を持たないため、遷移はこの POST でのみ行う。
POST
/wiki/lifecycle-syncQuery parameters
batch_sizeintegerdefault: 5
seedinteger | anymax_batchesinteger | anyHeader parameters
authorizationstring | anyX-Api-Keystring | anyResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/wiki/lifecycle-sync"const response = await fetch("/wiki/lifecycle-sync", {
method: "POST"
});import requests
response = requests.post(
"/wiki/lifecycle-sync",
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}